# na_ontap_ldap_client – NetApp ONTAP LDAP client

New in version 2.9.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Status

## Synopsis

- Create, modify or delete LDAP client on NetApp ONTAP

## Requirements

The below requirements are needed on the host that executes this module.

- A physical or virtual clustered Data ONTAP system. The modules support Data ONTAP 9.1 and onward

- Ansible 2.6

- Python2 netapp-lib (2017.10.30) or later. Install using ‘pip install netapp-lib’

- Python3 netapp-lib (2018.11.13) or later. Install using ‘pip install netapp-lib’

- To enable http on the cluster you must run the following commands ‘set -privilege advanced;’ ‘system services web modify -http-enabled true;’

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
base_dn string |  | LDAP base DN

base_scope
string

Choices:
- subtree
- onelevel
- base

LDAP search scope

bind_dn string |  | LDAP bind user DN
bind_password string |  | LDAP bind user password
hostname string / required |  | The hostname or IP address of the ONTAP instance.
http_port integer |  | Override the default port (80 or 443) with this port

https
boolean

Choices:
- no ←
- yes

Enable and disable https

ldap_servers list |  | Comma separated list of LDAP servers. FQDN's or IP addresses Required if state=present.

min_bind_level
string

Choices:
- anonymous
- simple
- sasl

Minimal LDAP server bind level.

name string / required |  | The name of LDAP client configuration
ontapi integer |  | The ontap api version to use
password string / required |  | Password for the specified user. aliases: pass
port integer |  | LDAP server port
query_timeout integer |  | LDAP server query timeout

referral_enabled
string

Choices:
- true
- false

LDAP Referral Chasing

schema
string

Choices:
- AD-IDMU
- AD-SFU
- MS-AD-BIS
- RFC-2307

LDAP schema
Required if state=present.

session_security
string

Choices:
- true
- false

Client Session Security

state
string

Choices:
- present ←
- absent

Whether the specified LDAP client configuration exist or not.

use_rest
string

Choices:
- Never
- Always
- Auto ←

REST API if supported by the target system for all the resources and attributes the module requires. Otherwise will revert to ZAPI.
Always -- will always use the REST API
Never -- will always use the ZAPI
Auto -- will try to use the REST Api

use_start_tls
string

Choices:
- true
- false

Start TLS on LDAP connection

username string / required |  | This can be a Cluster-scoped or SVM-scoped account, depending on whether a Cluster-level or SVM-level API is required. For more information, please read the documentation https://mysupport.netapp.com/NOW/download/software/nmsdk/9.4/. aliases: user

validate_certs
boolean

Choices:
- no
- yes ←

If set to `no`, the SSL certificates will not be validated.
This should only set to `False` used on personally controlled sites using self-signed certificates.

vserver string / required |  | vserver/svm that holds LDAP client configuration

## Notes

Note

- The modules prefixed with na\_ontap are built to support the ONTAP storage platform.

## Examples

    - name: Create LDAP client
      na_ontap_ldap_client:
        state:         present
        name:          'example_ldap'
        vserver:       'vserver1'
        ldap_servers:  'ldap1.example.company.com,ldap2.example.company.com'
        base_dn:       'dc=example,dc=company,dc=com'
        hostname:      "{{ netapp_hostname }}"
        username:      "{{ netapp_username }}"
        password:      "{{ netapp_password }}"

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by an Ansible Partner. [certified]

### Authors

- Milan Zink (@zeten30) <zeten30@gmail.com>/<mzink@redhat.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.